
QGIS Application - Bug report #11976

qgis:grid parameter order changed breaking dependent scripts

2015-01-11 06:44 AM - Anita Graser

Status: Closed

Priority: Low

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 20183

Description

Most likely qgis:grid is not the only algorithm which is affected by problem.

See https://github.com/qgis/QGIS-Processing/issues/8

History

#1 - 2015-01-11 08:26 AM - Anita Graser

I fixed the two scripts in the QGIS Processing repository but I'm concerned why this happened. Was the parameter order changed on purpose?

#2 - 2015-05-10 01:02 AM - Giovanni Manghi

- Target version changed from Version 2.8 to Version 2.8.2

#3 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#4 - 2015-06-21 10:51 PM - Victor Olaya

- Priority changed from High to Low

Not sure we should still consider this a problem

The change was a minor API break, but it was already sometime ago and no one complained...so I guess that reverting it now makes no sense. Scripts in

the repo are fixed, so we should leave it like that.

It is not a change that affects other algorithms, it was just a specific change of syntax

Please, close the ticket if you agree with this

#5 - 2015-06-22 12:28 AM - Anita Graser

- Status changed from Open to Closed

I guess it's fine if the scripts in the repo are fixed. I hope this kind of issue does not happen on a regular basis.

#6 - 2015-06-22 12:28 AM - Anita Graser
https://github.com/qgis/QGIS-Processing/issues/8


- Resolution set to wontfix
